package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class ProductionOutputRealtimePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.ITEM
     *
     * @mbggenerated
     */
    private String item;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.QTY_YIELD
     *
     * @mbggenerated
     */
    private BigDecimal qtyYield;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.QTY_SCRAP
     *
     * @mbggenerated
     */
    private BigDecimal qtyScrap;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.QTY_INPUT
     *
     * @mbggenerated
     */
    private BigDecimal qtyInput;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.QTY_TOTAL
     *
     * @mbggenerated
     */
    private BigDecimal qtyTotal;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_realtime.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.SITE
     *
     * @return the value of production_output_realtime.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.SITE
     *
     * @param site the value for production_output_realtime.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.RESRCE
     *
     * @return the value of production_output_realtime.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.RESRCE
     *
     * @param resrce the value for production_output_realtime.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.ITEM
     *
     * @return the value of production_output_realtime.ITEM
     *
     * @mbggenerated
     */
    public String getItem() {
        return item;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.ITEM
     *
     * @param item the value for production_output_realtime.ITEM
     *
     * @mbggenerated
     */
    public void setItem(String item) {
        this.item = item == null ? null : item.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.START_DATE_TIME
     *
     * @return the value of production_output_realtime.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.START_DATE_TIME
     *
     * @param startDateTime the value for production_output_realtime.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.END_DATE_TIME
     *
     * @return the value of production_output_realtime.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.END_DATE_TIME
     *
     * @param endDateTime the value for production_output_realtime.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.QTY_YIELD
     *
     * @return the value of production_output_realtime.QTY_YIELD
     *
     * @mbggenerated
     */
    public BigDecimal getQtyYield() {
        return qtyYield;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.QTY_YIELD
     *
     * @param qtyYield the value for production_output_realtime.QTY_YIELD
     *
     * @mbggenerated
     */
    public void setQtyYield(BigDecimal qtyYield) {
        this.qtyYield = qtyYield;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.QTY_SCRAP
     *
     * @return the value of production_output_realtime.QTY_SCRAP
     *
     * @mbggenerated
     */
    public BigDecimal getQtyScrap() {
        return qtyScrap;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.QTY_SCRAP
     *
     * @param qtyScrap the value for production_output_realtime.QTY_SCRAP
     *
     * @mbggenerated
     */
    public void setQtyScrap(BigDecimal qtyScrap) {
        this.qtyScrap = qtyScrap;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.QTY_INPUT
     *
     * @return the value of production_output_realtime.QTY_INPUT
     *
     * @mbggenerated
     */
    public BigDecimal getQtyInput() {
        return qtyInput;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.QTY_INPUT
     *
     * @param qtyInput the value for production_output_realtime.QTY_INPUT
     *
     * @mbggenerated
     */
    public void setQtyInput(BigDecimal qtyInput) {
        this.qtyInput = qtyInput;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.QTY_TOTAL
     *
     * @return the value of production_output_realtime.QTY_TOTAL
     *
     * @mbggenerated
     */
    public BigDecimal getQtyTotal() {
        return qtyTotal;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.QTY_TOTAL
     *
     * @param qtyTotal the value for production_output_realtime.QTY_TOTAL
     *
     * @mbggenerated
     */
    public void setQtyTotal(BigDecimal qtyTotal) {
        this.qtyTotal = qtyTotal;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.CREATED_DATE_TIME
     *
     * @return the value of production_output_realtime.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for production_output_realtime.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.MODIFIED_DATE_TIME
     *
     * @return the value of production_output_realtime.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for production_output_realtime.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_realtime.MODIFIED_USER
     *
     * @return the value of production_output_realtime.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_realtime.MODIFIED_USER
     *
     * @param modifiedUser the value for production_output_realtime.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}